Im just starting to get my head around VBA in AutoCad. I have managed to write a code that creates a 2D truss in polylines by coordinates I have arranged in an Excel file. Now I need to extrude each member into a cylinder. Well Im not really that smart yet, having some hard time with choosing path and region.
In inventor 2013 I want to extrude a horizontal circle on surface of a bigger vertical hollow cylinder. but what i did it enters into cylinder, and i only want to extrude it on external surface.
I'm trying to extrude a circle around a path in all dimensions, so I drew my path in lines, filleted the corners then tried to join using the PEDIT - Join command.
Firstly, the join says something like "2 segments added to 2 polylines" when really all I want is 1 polyline.
Second, when I try to insert my circle for extrusion I OSNAP to the end of the line, then when I specify the radius it draws in the wrong plane. So far the only way I have gotten around it is rotating the ucs. Is there an easy way to do this? my Dynamic UCS is on.
How to stop the UCS from automatically turning to world when extruding a circle?
Example: If you start with a circle drawn to your set 3 point UCS the quadrants are in line with the X & Y but as soon as you extrude the circle into a cylinder the UCS turns the quadrants to world, I want the quadrants to stay in the same place as my 3 point UCS position.
Not sure if it's just a system variable that need changing.
I'm trying to change a routine i just wrote that draws 3d pipes. I wanted to make it so that when a user selects the beginning point and ending point of the pipe, the LISP changes the ucs to that vector, draws the circle at the beginning point and extrudes it to the second point.
It actually works great except when the ucs changes, so do my user points because of teh origin change. Is there a better way I might get this to do what I wnat it to?
(setq ip (getpoint " Pick First Point:"))(setq ep (getpoint " Pick Second Point:"))(command ".ucs" "za" ip ep)(setvar "osmode" 0)(command ".circle" ip "d" od)(command ".extrude" (entlast) "" (distance ip ep))(command ".ucs" "w")(setvar "osmode" oldsnap))
When I extrude/bevel a perfect circle (Illustrator CS6 Mac), there is a defect visible on the edge of the circle. Please see 4 images attached. Is this normal, and is there a fix or workaround?
I am trying to oTrack distance from the top circle edge of a cylinder to a certain distance ... whenever i try to do that ... it either track to x and y .. but not in z :/ ... the video i have on you tube he did it so simply and it seems to be easy .
I am not sure what is wrong .. but i heard parallel and perspective view could make a difference .. i actually try both :/ ...
I was wondering the best way to draw a circle that passes through an endpoint of a line and then is tangent to another circle above it? I need to create a radius of 3.5 between the two points.
I have made this planet and I want its ring to look as it's spinning around it, So the upper of the ring should go behind the actual planet! How can I do that? Also how can I add some volume to the ring to make it look a bit more realistic?
I need to emboss ( cut in ) some grooves into a cylinder, but in such a way, so that they won't get narrower. What do you think would be the best way to do that?
I have made a sheet metal cylinder with a rip. I am trying to create a seam on this rip as is done in [URL] ....... about half way through.
I have tried to go through the same steps, but I can not select the inside of the rip to built hems and flanges on. I also tried to make the cylinder by sketching 350 degrees of the cylinder instead of creating a rip, This had the same problem.
Why I can't select these edges or how I can work around it?
How can I create a rib that touches a plane and the end of a cylinder? Inventor will not do it since the thickness of the rib does not touch the cylinder (see attachment).
I have version Auto Cad 2005 and was just looking for so pointers.
I have set myself the challenge of drawing a locking pin I wish to get manufactured the dimensions are Ø 10mm x 180mm in length with a 20mm Ø flat plate on the end.
I am having trouble extruding(cutting) a shape into a cylinder. I want to cut the cylinder with a certain shape but I want to cut it tangent to the cylinder instead of just straight down through it like a front view.
I am trying to make a exaust pipe for a semi i am making in autocad 2006 and the pipe bends at the top. so i was wondering how can i bend a 3d cylinder/pipe?
I have a tube modeled in AutoCAD that is 1.5" OD and 1.25" ID. Along with it, I have a piece of flat 2D geometry representing a pattern to be cut into it.
Is there a way to either wrap the geometry around the tube and extrude out the shapes, or a way to extrude the geometry to the correct thickness and wrap it into a 1.5" OD tube?
I drew a cylinder and now I need to delete its top and bottom. How can I do that?
I used Draw - 3D Modeling - Meshes - Primitives - Cylinder to create the object. And after that I'm lost, because most of the tutorials online are for Windows based CAD, but I can't find same commands on my Mac.
I am trying to CAD a model rocket I just made so I can test the aerodynamics of it. I have all of the individual parts made in inventor, but I am having trouble getting the fins on the rocket.
How can I constrain the fins (which have a flat face) to the outside of the cylindrical rocket tube? The photo shows the fin and the face (the narrow and long face) that I am trying to constrain to the tube.
Public Sub DrawCylinder() Dim cen As Variant Dim r As Double Dim h As Double Dim cyl As Acad3DSolid cen = ThisDrawing.Utility.GetPoint(, "Specify center point:")
I have a telescoping cylinder that someone else modeled. It has an extended and retracted positional rep. I want to make it free moving so that is will move in and out inside another assembly. I can get it to move freely and stop at it's extents using contact sets. My problem is that when you jump from a retracted position to an extended position the center rod "escapes" from the housing.
I am currently working on a project in school about hydraulic systems, so i would like to learn how to make a functional hydraulic cylinder. I have seen a few examples on youtube, but none of which explain how its done.
I am trying to Drill a series of holes on a cylinder. I cannot find out how to start the sketch on this surface so that i can drill on the rounded part of the cylinder.
how make a cylinder to show like without cross -line? See attachment for detail. I use AutoCAD 2012. I just need to show parallel line on the face of cylinder.